package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerPotentialGoals;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclPractitionerPotentialGoalsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerPotentialGoals record);

    int insertSelective(AclPractitionerPotentialGoals record);

    AclPractitionerPotentialGoals selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerPotentialGoals record);

    int updateByPrimaryKey(AclPractitionerPotentialGoals record);

    List<AclPractitionerPotentialGoals> findByPractitionerAndCurrentYear(@Param("practitionerId") Long practitionerId, @Param("currentYear") Integer currentYear);

    void saveAll(@Param("potentialGoalsList")List<AclPractitionerPotentialGoals> potentialGoalsList);

    List<AclPractitionerPotentialGoals> findByPractitionerAndCurrentYearAndTimeUnit(@Param("practitionerId")Long practitionerId, @Param("currentYear")Integer currentYear, @Param("timeTypeList")List<Integer> timeTypeList);
}